<script>
	import { loadAll } from '@square/svelte-store';
	import { layoutURL, subplotLayouts, containerWidth, containerHeight } from './components/stores/layoutStore.js';
	import { urlsToLoad, dataProductInfo, dataStore } from './components/stores/dataProductStore.js';
	import SetupSVG from './components/SetupSVG.svelte';
	import LayoutForm from './components/LayoutForm.svelte';
</script>

{#await subplotLayouts.load()}
	<div class="loading">
		<p>Please wait...</p>
		<p>Loading layout</p>
	</div>
{:then}
	<div class="row">
		<LayoutForm/>
		<div class="timelinecontainer" bind:clientWidth={$containerWidth} bind:clientHeight={$containerHeight}>
			{#if $containerHeight}
				<SetupSVG/>
			{/if}
		</div>
	</div>
		<!-- </Pane>
	</Splitpanes> -->
{:catch error}
	<p style="color: red">{error.message}</p>
{/await}

<style>

	.row {
		padding: 0;
		margin: 0;
		display: flex;
		height: 100%;
	}


	.timelinecontainer {
	  background-color: white;
	  flex-grow: 1;
	  align-self: stretch;
	}

	div.loading {
		padding: 50px 0;
		justify-content: center;
	}
</style>
